/*
  
  Test Applicationn for SIM800L + PIC16F1847
  Version 1.1
  MIT License, 12 December 2020
  Disclaimer: The code is supplied as is, and no liability will be accepted for loss or damage when used.
  
*/

void SetupDevice();
void SendSms();

void SetupDevice(){

     // Configure Uart
     UART1_Init(9600);               // Initialize UART module at 9600 bps
     Delay_ms(100);                  // Wait for UART module to stabilize
}

void SendSms(){

     UART1_Write_Text("AT+CMGF=1\r");
     Delay_ms(1000);

     UART1_Write_Text("AT+CMGS=\"+00000000000\"\r"); // enter your number in the format +[COUNTRY CODE][CELL NUMBER], omit leading zeros
     Delay_ms(1000);
     
     UART1_Write_Text("Test SMS");
     Delay_ms(1000);

     UART1_Write(26);
     Delay_ms(1000);
}


void main() {

     Delay_ms(500);         // Gives modem time to power up

     SetupDevice();        // Device peripherals

     while(1){

              SendSms();
              Delay_ms(3000);

     }
}